{ queens }


{ solves the problem of placing n queens on a }
{ n*n chessboard without attacking eachother }

{ written in false }
{ by Marcel van Kervinck }
{ e-mail <marcelk@stack.urc.tue.nl> }
{ June 1994 }

[$0=$[1\]?~[0 2ø[$0=~][$$_&$7ø7ø|_1-&[@1ø7ø|$+2
ø7ø|2/3ø_1-7ø&6ø1-q;!+@@]?_1-&]#%]?\%\%\%\%]q:
"enter number of queens [0..9] "ß^ß'0-
0$@$1[1ø0>][$+\1-\]#1-\%\q;!." solutions
"
{ that's all }
